package ink.wgink.module.file.media.controller.api.srs.rtmp;

import ink.wgink.common.base.DefaultBaseController;
import ink.wgink.interfaces.consts.ISystemConstant;
import ink.wgink.pojo.result.SuccessResultCode;
import io.swagger.annotations.Api;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @ClassName: RtmpController
 * @Description: rtmp 回调
 * @Author: wanggeng
 * @Date: 2022/4/22 10:39
 * @Version: 1.0
 */
@Api(tags = ISystemConstant.API_TAGS_SYSTEM_PREFIX + "rtmp接口")
@RestController
@RequestMapping(ISystemConstant.API_PREFIX + "/rtmp")
public class RtmpCallbackController extends DefaultBaseController {

    @PostMapping("on-connect")
    public SuccessResultCode<Integer> onConnect() {
        return new SuccessResultCode<>(0);
    }

    @PostMapping("on-onClose")
    public SuccessResultCode<Integer> onClose() {
        return new SuccessResultCode<>(0);
    }

    @PostMapping("on-onPublish")
    public SuccessResultCode<Integer> onPublish() {
        return new SuccessResultCode<>(0);
    }

    @PostMapping("on-onUnPublish")
    public SuccessResultCode<Integer> onUnPublish() {
        return new SuccessResultCode<>(0);
    }

    @PostMapping("on-onPlay")
    public SuccessResultCode<Integer> onPlay() {
        return new SuccessResultCode<>(0);
    }

    @PostMapping("on-onStop")
    public SuccessResultCode<Integer> onStop() {
        return new SuccessResultCode<>(0);
    }

    @PostMapping("on-onDvr")
    public SuccessResultCode<Integer> onDvr() {
        return new SuccessResultCode<>(0);
    }

}
